<root>
	<windowclass name="charsheet_charwizard_backgroundalt">
		<sheetdata>
			<subwindow name="contents">
				<anchored>
					<top offset="0" />
					<bottom offset="0" />
					<left offset="0" />
					<right offset="-535" />
				</anchored>
				<class>charwizard_backgroundwindow_contents</class>
				<activate />
				<fastinit />
			</subwindow>
		</sheetdata>
	</windowclass>

	<windowclass name="charwizard_backgroundwindow_contents">
		<sheetdata>
			<anchor_column name="columnanchor" />			

			<label_charframetop name="background_label">
				<anchored height="20">
					<top parent="columnanchor" anchor="bottom" relation="relative" offset="15" />
					<left offset="15" />
					<right offset="-15" />
				</anchored>
				<icons>char_background</icons>
				<static textres="charwizard_label_background" />
			</label_charframetop>

			<windowlist name="background_window">
				<anchored to="background_label" position="insidetopleft" offset="2,32" width="437" height="407" />
				<skipempty />
				<frame name="fielddark" offset="10,9,10,9" />
				<class>background_window_item</class>
				<sortby><control>group</control><control>order</control></sortby>
				<script file="charwizard/scripts/charwizard_backgroundwindow.lua" />				
			</windowlist>
		</sheetdata>
	</windowclass>		

	<windowclass name="background_window_item">
		<margins control="0,0,10,10" />
		<frame>groupbox</frame>
		<sheetdata>
			<button_charwizard_expand_window name="button_expand_backgrounds">
				<anchored position="insidetopleft" offset="10,10" />
				<target>selection_window</target>
			</button_charwizard_expand_window>
			<basicnumber name="group">
				<anchored position="insidetopleft" offset="40,10" />
				<invisible />
			</basicnumber>
			<basicnumber name="order">
				<anchored position="insidetopleft" offset="40,10" />
				<invisible />
			</basicnumber>
			<label name="selection_type">
				<anchored position="insidetopright" relation="relative" offset="40,10" />
				<readonly />
				<invisible />
			</label>			
			<label name="group_name">
				<anchored position="insidetopleft" offset="40,10" />
				<readonly />
			</label>
			<windowlist name="selection_window">
				<anchored position="insidetopleft" offset="5,35" width="410" />			
				<columns width="135" fillwidth="true" />
				<skipempty />
				<noscroll />
				<class>background_selection_item</class>
			</windowlist>
			<label name="level_label">
				<anchored position="insidetopright" relation="relative" offset="160,10" />
				<static textres="charwizard_background_level" />				
				<readonly />
				<invisible />				
			</label>
			<comboboxc name="level">
				<anchored position="insidetopright" relation="relative" offset="120,10" width="30" height="20" />
				<listdirection>down</listdirection>
				<invisible />				
			</comboboxc>
			<label name="selection_name">
				<anchored position="insidetopright" relation="relative" offset="40,10" />
				<readonly />
				<invisible />				
			</label>
			<linkcontrol name="selection_shortcut">
				<anchored position="insidetopright" relation="relative" offset="10,10" width="20" height="20" />
				<class>reference_background</class>
				<readonly />
				<invisible />				
			</linkcontrol>	
			<basicnumber name="selection_count">
				<anchored position="insidetopright" relation="relative" offset="10,10" width="20" height="20" />
				<class>reference_class</class>
				<readonly />
				<invisible />				
			</basicnumber>			
		</sheetdata>
	</windowclass>

	<windowclass name="background_selection_item">
		<margins control="0,0,0,10" />
		<sheetdata>
			<genericcontrol name="rightanchor">
				<anchored position="insidetopright" offset="0,2" height="0" width="0" />
			</genericcontrol>
			<button_charwizard_feat name="bname">
				<anchored to="rightanchor" width="130" height="20">
					<top />
					<right anchor="left" relation="relative" offset="5" />
				</anchored>
				<script>
					function onButtonPress()
						if window.windowlist.window.group_name.getValue() == "SELECT BACKGROUND" then
							for _,vReset in pairs(window.windowlist.getWindows()) do
								vReset.bname.setFrame("buttonup", 5, 5, 5, 5);
							end
							setFrame("buttondown", 5, 5, 5, 5);
						else
							local nChoicesRemaining = window.windowlist.window.selection_count.getValue();
							if window.value.getValue() == "1" then
								setFrame("buttonup", 5, 5, 5, 5);
								window.value.setValue("0");
								window.windowlist.window.selection_count.setValue(nChoicesRemaining + 1);
							else
								if nChoicesRemaining == 0 then
									return;
								end							
								setFrame("buttondown", 5, 5, 5, 5);
								window.value.setValue("1");
								window.windowlist.window.selection_count.setValue(nChoicesRemaining - 1);								
							end
						end
						local sGroup = window.group.getValue();
						window.windowlist.window.windowlist.window.background_window.parseSelection(sGroup, window.windowlist.window.group_name.getValue(), window.value.getValue(), window.name.getValue():upper(), window.shortcut.getValue());
					end
				</script>
			</button_charwizard_feat>
			<linkcontrol name="shortcut">
				<anchored to="rightanchor" width="20" height="20">
					<top />
					<right anchor="left" relation="relative" offset="-2" />
				</anchored>
				<class>reference_background</class>
				<readonly />
				<invisible />				
			</linkcontrol>

			<string_textlistitem name="value">
				<anchored to="rightanchor">
					<top />
					<left parent="" offset="0" />
					<right anchor="left" relation="relative" offset="-7" />
				</anchored>
				<invisible />
				<multilinespacing>20</multilinespacing>
			</string_textlistitem>

			<string_textlistitem name="type">
				<anchored to="rightanchor">
					<top />
					<left parent="" offset="0" />
					<right anchor="left" relation="relative" offset="-7" />
				</anchored>
				<invisible />
				<multilinespacing>20</multilinespacing>
			</string_textlistitem>

			<string_textlistitem name="group">
				<anchored to="rightanchor">
					<top />
					<left parent="" offset="0" />
					<right anchor="left" relation="relative" offset="-7" />
				</anchored>
				<invisible />
				<multilinespacing>20</multilinespacing>
			</string_textlistitem>

			<string_textlistitem name="module">
				<anchored to="rightanchor">
					<top />
					<left parent="" offset="0" />
					<right anchor="left" relation="relative" offset="-7" />
				</anchored>
				<invisible />
				<multilinespacing>20</multilinespacing>
			</string_textlistitem>			

			<string_textlistitem name="name">
				<anchored to="rightanchor">
					<top />
					<left parent="" offset="20" />
					<right anchor="left" relation="relative" offset="-7" />
				</anchored>
				<multilinespacing>20</multilinespacing>
				<invisible />				
			</string_textlistitem>
		</sheetdata>
	</windowclass>	
</root>